Manifest-Version: 1.0
Bnd-LastModified: 1763061675291
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Headless Commerce Admin Catalog Implementation
Bundle-SymbolicName: com.liferay.headless.commerce.admin.catalog.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 4.0.106.hotfix-7050-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.account.exception;version="4.1",com.lifera
 y.account.model;version="5.5",com.liferay.account.service;version="10
 .2",com.liferay.asset.kernel.exception;version="3.0",com.liferay.asse
 t.kernel.model;version="10.0",com.liferay.asset.kernel.service;versio
 n="10.0",com.liferay.commerce.constants;version="15.0",com.liferay.co
 mmerce.currency.model;version="7.0",com.liferay.commerce.exception;ve
 rsion="6.4",com.liferay.commerce.media;version="3.0",com.liferay.comm
 erce.model;version="17.1",com.liferay.commerce.price.list.exception;v
 ersion="3.3",com.liferay.commerce.price.list.model;version="8.0",com.
 liferay.commerce.price.list.service;version="14.0",com.liferay.commer
 ce.pricing.configuration;version="1.0",com.liferay.commerce.pricing.e
 xception;version="2.0",com.liferay.commerce.pricing.model;version="4.
 2",com.liferay.commerce.pricing.service;version="6.2",com.liferay.com
 merce.product.configuration;version="5.2",com.liferay.commerce.produc
 t.exception;version="12.6",com.liferay.commerce.product.model;version
 ="22.1",com.liferay.commerce.product.service;version="38.2",com.lifer
 ay.commerce.product.type;version="3.0",com.liferay.commerce.product.t
 ype.grouped.exception;version="1.1",com.liferay.commerce.product.type
 .grouped.model;version="4.1",com.liferay.commerce.product.type.groupe
 d.service;version="2.5",com.liferay.commerce.product.type.virtual.con
 stants;version="1.1",com.liferay.commerce.product.type.virtual.except
 ion;version="2.0",com.liferay.commerce.product.type.virtual.model;ver
 sion="5.0",com.liferay.commerce.product.type.virtual.service;version=
 "2.6",com.liferay.commerce.product.util;version="23.0",com.liferay.co
 mmerce.service;version="34.0",com.liferay.commerce.shop.by.diagram.mo
 del;version="3.2",com.liferay.commerce.shop.by.diagram.service;versio
 n="3.5",com.liferay.commerce.stock.activity;version="3.0",com.liferay
 .document.library.kernel.model;version="8.2",com.liferay.document.lib
 rary.kernel.service;version="14.0",com.liferay.document.library.util;
 version="1.2",com.liferay.expando.kernel.model;version="6.0",com.life
 ray.expando.kernel.service;version="1.10",com.liferay.expando.kernel.
 util;version="5.0",com.liferay.headless.commerce.admin.catalog.dto.v1
 _0;version="17.2",com.liferay.headless.commerce.admin.catalog.resourc
 e.v1_0;version="19.2",com.liferay.headless.commerce.core.util;version
 ="1.2",com.liferay.headless.common.spi.odata.entity;version="1.1",com
 .liferay.journal.model;version="14.3",com.liferay.petra.function;vers
 ion="1.5",com.liferay.petra.function.transform;version="1.3",com.life
 ray.portal.kernel.change.tracking;version="2.2",com.liferay.portal.ke
 rnel.exception;version="13.3",com.liferay.portal.kernel.json;version=
 "12.1",com.liferay.portal.kernel.language;version="11.0",com.liferay.
 portal.kernel.log;version="8.0",com.liferay.portal.kernel.model;versi
 on="30.4",com.liferay.portal.kernel.module.configuration;version="2.1
 ",com.liferay.portal.kernel.repository.model;version="11.2",com.lifer
 ay.portal.kernel.search;version="20.2",com.liferay.portal.kernel.sear
 ch.filter;version="1.0",com.liferay.portal.kernel.security.auth;versi
 on="6.1",com.liferay.portal.kernel.security.permission;version="7.0",
 com.liferay.portal.kernel.security.permission.resource;version="2.3",
 com.liferay.portal.kernel.service;version="25.1",com.liferay.portal.k
 ernel.settings;version="5.0",com.liferay.portal.kernel.theme;version=
 "10.5",com.liferay.portal.kernel.util;version="63.0",com.liferay.port
 al.kernel.workflow;version="21.0",com.liferay.portal.language,com.lif
 eray.portal.odata.entity;version="2.2",com.liferay.portal.odata.filte
 r;version="1.1",com.liferay.portal.odata.filter.expression;version="2
 .3",com.liferay.portal.odata.sort;version="1.2",com.liferay.portal.se
 arch.expando;version="1.0",com.liferay.portal.vulcan.accept.language;
 version="1.1",com.liferay.portal.vulcan.batch.engine;version="6.0",co
 m.liferay.portal.vulcan.batch.engine.resource;version="2.0",com.lifer
 ay.portal.vulcan.dto.converter;version="4.0",com.liferay.portal.vulca
 n.fields;version="3.0",com.liferay.portal.vulcan.graphql.annotation;v
 ersion="1.2",com.liferay.portal.vulcan.graphql.servlet;version="2.3",
 com.liferay.portal.vulcan.jaxrs.exception.mapper;version="4.0",com.li
 feray.portal.vulcan.pagination;version="1.5",com.liferay.portal.vulca
 n.resource;version="6.2",com.liferay.portal.vulcan.util;version="11.3
 ",com.liferay.upload;version="1.2",io.swagger.v3.oas.annotations;vers
 ion="2.0",io.swagger.v3.oas.annotations.enums;version="2.0",io.swagge
 r.v3.oas.annotations.info;version="2.0",io.swagger.v3.oas.annotations
 .tags;version="2.0",javax.servlet.http,javax.validation.constraints;v
 ersion="2.0",javax.ws.rs;version="2.1",javax.ws.rs.core;version="2.1"
 ,javax.ws.rs.ext;version="2.1",org.osgi.framework;version="1.8",org.o
 sgi.service.component;version="1.4"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Commerce
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: commerce
Liferay-Releng-Suite-Description: This suite is available in the Lifer
 ay bundle.
Liferay-Releng-Suite-Title: Liferay Commerce
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.headless.commerce.admin.catalog.internal.
 dto.v1_0.converter,com.liferay.headless.commerce.admin.catalog.intern
 al.dto.v1_0.converter.constants,com.liferay.headless.commerce.admin.c
 atalog.internal.dto.v1_0.util,com.liferay.headless.commerce.admin.cat
 alog.internal.graphql.mutation.v1_0,com.liferay.headless.commerce.adm
 in.catalog.internal.graphql.query.v1_0,com.liferay.headless.commerce.
 admin.catalog.internal.graphql.servlet.v1_0,com.liferay.headless.comm
 erce.admin.catalog.internal.helper.v1_0,com.liferay.headless.commerce
 .admin.catalog.internal.jaxrs.application,com.liferay.headless.commer
 ce.admin.catalog.internal.jaxrs.exception.mapper,com.liferay.headless
 .commerce.admin.catalog.internal.odata.entity.v1_0,com.liferay.headle
 ss.commerce.admin.catalog.internal.resource.v1_0,com.liferay.headless
 .commerce.admin.catalog.internal.resource.v1_0.factory,com.liferay.he
 adless.commerce.admin.catalog.internal.security.permission,com.lifera
 y.headless.commerce.admin.catalog.internal.util,com.liferay.headless.
 commerce.admin.catalog.internal.util.v1_0
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .headless.commerce.admin.catalog.internal.dto.v1_0.converter.ProductV
 irtualSettingsDTOConverter,com.liferay.portal.vulcan.dto.converter.DT
 OConverter";uses:="com.liferay.headless.commerce.admin.catalog.intern
 al.dto.v1_0.converter,com.liferay.portal.vulcan.dto.converter",osgi.s
 ervice;objectClass:List<String>="com.liferay.headless.commerce.admin.
 catalog.internal.dto.v1_0.converter.SkuSubscriptionConfigurationDTOCo
 nverter,com.liferay.portal.vulcan.dto.converter.DTOConverter";uses:="
 com.liferay.headless.commerce.admin.catalog.internal.dto.v1_0.convert
 er,com.liferay.portal.vulcan.dto.converter",osgi.service;objectClass:
 List<String>="com.liferay.headless.commerce.admin.catalog.internal.he
 lper.v1_0.CategoryHelper";uses:="com.liferay.headless.commerce.admin.
 catalog.internal.helper.v1_0",osgi.service;objectClass:List<String>="
 com.liferay.headless.commerce.admin.catalog.internal.helper.v1_0.Prod
 uctChannelHelper";uses:="com.liferay.headless.commerce.admin.catalog.
 internal.helper.v1_0",osgi.service;objectClass:List<String>="com.life
 ray.headless.commerce.admin.catalog.internal.helper.v1_0.ProductHelpe
 r";uses:="com.liferay.headless.commerce.admin.catalog.internal.helper
 .v1_0",osgi.service;objectClass:List<String>="com.liferay.headless.co
 mmerce.admin.catalog.internal.helper.v1_0.ProductSpecificationHelper"
 ;uses:="com.liferay.headless.commerce.admin.catalog.internal.helper.v
 1_0",osgi.service;objectClass:List<String>="com.liferay.headless.comm
 erce.admin.catalog.internal.helper.v1_0.SkuHelper";uses:="com.liferay
 .headless.commerce.admin.catalog.internal.helper.v1_0",osgi.service;o
 bjectClass:List<String>="com.liferay.headless.commerce.admin.catalog.
 internal.resource.v1_0.OpenAPIResourceImpl";uses:="com.liferay.headle
 ss.commerce.admin.catalog.internal.resource.v1_0",osgi.service;object
 Class:List<String>="com.liferay.headless.commerce.admin.catalog.resou
 rce.v1_0.AttachmentResource";uses:="com.liferay.headless.commerce.adm
 in.catalog.resource.v1_0",osgi.service;objectClass:List<String>="com.
 liferay.headless.commerce.admin.catalog.resource.v1_0.AttachmentResou
 rce$Factory";uses:="com.liferay.headless.commerce.admin.catalog.resou
 rce.v1_0",osgi.service;objectClass:List<String>="com.liferay.headless
 .commerce.admin.catalog.resource.v1_0.CatalogResource";uses:="com.lif
 eray.headless.commerce.admin.catalog.resource.v1_0",osgi.service;obje
 ctClass:List<String>="com.liferay.headless.commerce.admin.catalog.res
 ource.v1_0.CatalogResource$Factory";uses:="com.liferay.headless.comme
 rce.admin.catalog.resource.v1_0",osgi.service;objectClass:List<String
 >="com.liferay.headless.commerce.admin.catalog.resource.v1_0.Category
 Resource";uses:="com.liferay.headless.commerce.admin.catalog.resource
 .v1_0",osgi.service;objectClass:List<String>="com.liferay.headless.co
 mmerce.admin.catalog.resource.v1_0.CategoryResource$Factory";uses:="c
 om.liferay.headless.commerce.admin.catalog.resource.v1_0",osgi.servic
 e;objectClass:List<String>="com.liferay.headless.commerce.admin.catal
 og.resource.v1_0.DiagramResource";uses:="com.liferay.headless.commerc
 e.admin.catalog.resource.v1_0",osgi.service;objectClass:List<String>=
 "com.liferay.headless.commerce.admin.catalog.resource.v1_0.DiagramRes
 ource$Factory";uses:="com.liferay.headless.commerce.admin.catalog.res
 ource.v1_0",osgi.service;objectClass:List<String>="com.liferay.headle
 ss.commerce.admin.catalog.resource.v1_0.GroupedProductResource";uses:
 ="com.liferay.headless.commerce.admin.catalog.resource.v1_0",osgi.ser
 vice;objectClass:List<String>="com.liferay.headless.commerce.admin.ca
 talog.resource.v1_0.GroupedProductResource$Factory";uses:="com.lifera
 y.headless.commerce.admin.catalog.resource.v1_0",osgi.service;objectC
 lass:List<String>="com.liferay.headless.commerce.admin.catalog.resour
 ce.v1_0.LinkedProductResource";uses:="com.liferay.headless.commerce.a
 dmin.catalog.resource.v1_0",osgi.service;objectClass:List<String>="co
 m.liferay.headless.commerce.admin.catalog.resource.v1_0.LinkedProduct
 Resource$Factory";uses:="com.liferay.headless.commerce.admin.catalog.
 resource.v1_0",osgi.service;objectClass:List<String>="com.liferay.hea
 dless.commerce.admin.catalog.resource.v1_0.LowStockActionResource";us
 es:="com.liferay.headless.commerce.admin.catalog.resource.v1_0",osgi.
 service;objectClass:List<String>="com.liferay.headless.commerce.admin
 .catalog.resource.v1_0.LowStockActionResource$Factory";uses:="com.lif
 eray.headless.commerce.admin.catalog.resource.v1_0",osgi.service;obje
 ctClass:List<String>="com.liferay.headless.commerce.admin.catalog.res
 ource.v1_0.MappedProductResource";uses:="com.liferay.headless.commerc
 e.admin.catalog.resource.v1_0",osgi.service;objectClass:List<String>=
 "com.liferay.headless.commerce.admin.catalog.resource.v1_0.MappedProd
 uctResource$Factory";uses:="com.liferay.headless.commerce.admin.catal
 og.resource.v1_0",osgi.service;objectClass:List<String>="com.liferay.
 headless.commerce.admin.catalog.resource.v1_0.OptionCategoryResource"
 ;uses:="com.liferay.headless.commerce.admin.catalog.resource.v1_0",os
 gi.service;objectClass:List<String>="com.liferay.headless.commerce.ad
 min.catalog.resource.v1_0.OptionCategoryResource$Factory";uses:="com.
 liferay.headless.commerce.admin.catalog.resource.v1_0",osgi.service;o
 bjectClass:List<String>="com.liferay.headless.commerce.admin.catalog.
 resource.v1_0.OptionResource";uses:="com.liferay.headless.commerce.ad
 min.catalog.resource.v1_0",osgi.service;objectClass:List<String>="com
 .liferay.headless.commerce.admin.catalog.resource.v1_0.OptionResource
 $Factory";uses:="com.liferay.headless.commerce.admin.catalog.resource
 .v1_0",osgi.service;objectClass:List<String>="com.liferay.headless.co
 mmerce.admin.catalog.resource.v1_0.OptionValueResource";uses:="com.li
 feray.headless.commerce.admin.catalog.resource.v1_0",osgi.service;obj
 ectClass:List<String>="com.liferay.headless.commerce.admin.catalog.re
 source.v1_0.OptionValueResource$Factory";uses:="com.liferay.headless.
 commerce.admin.catalog.resource.v1_0",osgi.service;objectClass:List<S
 tring>="com.liferay.headless.commerce.admin.catalog.resource.v1_0.Pin
 Resource";uses:="com.liferay.headless.commerce.admin.catalog.resource
 .v1_0",osgi.service;objectClass:List<String>="com.liferay.headless.co
 mmerce.admin.catalog.resource.v1_0.PinResource$Factory";uses:="com.li
 feray.headless.commerce.admin.catalog.resource.v1_0",osgi.service;obj
 ectClass:List<String>="com.liferay.headless.commerce.admin.catalog.re
 source.v1_0.ProductAccountGroupResource";uses:="com.liferay.headless.
 commerce.admin.catalog.resource.v1_0",osgi.service;objectClass:List<S
 tring>="com.liferay.headless.commerce.admin.catalog.resource.v1_0.Pro
 ductAccountGroupResource$Factory";uses:="com.liferay.headless.commerc
 e.admin.catalog.resource.v1_0",osgi.service;objectClass:List<String>=
 "com.liferay.headless.commerce.admin.catalog.resource.v1_0.ProductCha
 nnelResource";uses:="com.liferay.headless.commerce.admin.catalog.reso
 urce.v1_0",osgi.service;objectClass:List<String>="com.liferay.headles
 s.commerce.admin.catalog.resource.v1_0.ProductChannelResource$Factory
 ";uses:="com.liferay.headless.commerce.admin.catalog.resource.v1_0",o
 sgi.service;objectClass:List<String>="com.liferay.headless.commerce.a
 dmin.catalog.resource.v1_0.ProductConfigurationResource";uses:="com.l
 iferay.headless.commerce.admin.catalog.resource.v1_0",osgi.service;ob
 jectClass:List<String>="com.liferay.headless.commerce.admin.catalog.r
 esource.v1_0.ProductConfigurationResource$Factory";uses:="com.liferay
 .headless.commerce.admin.catalog.resource.v1_0",osgi.service;objectCl
 ass:List<String>="com.liferay.headless.commerce.admin.catalog.resourc
 e.v1_0.ProductGroupProductResource";uses:="com.liferay.headless.comme
 rce.admin.catalog.resource.v1_0",osgi.service;objectClass:List<String
 >="com.liferay.headless.commerce.admin.catalog.resource.v1_0.ProductG
 roupProductResource$Factory";uses:="com.liferay.headless.commerce.adm
 in.catalog.resource.v1_0",osgi.service;objectClass:List<String>="com.
 liferay.headless.commerce.admin.catalog.resource.v1_0.ProductGroupRes
 ource";uses:="com.liferay.headless.commerce.admin.catalog.resource.v1
 _0",osgi.service;objectClass:List<String>="com.liferay.headless.comme
 rce.admin.catalog.resource.v1_0.ProductGroupResource$Factory";uses:="
 com.liferay.headless.commerce.admin.catalog.resource.v1_0",osgi.servi
 ce;objectClass:List<String>="com.liferay.headless.commerce.admin.cata
 log.resource.v1_0.ProductOptionResource";uses:="com.liferay.headless.
 commerce.admin.catalog.resource.v1_0",osgi.service;objectClass:List<S
 tring>="com.liferay.headless.commerce.admin.catalog.resource.v1_0.Pro
 ductOptionResource$Factory";uses:="com.liferay.headless.commerce.admi
 n.catalog.resource.v1_0",osgi.service;objectClass:List<String>="com.l
 iferay.headless.commerce.admin.catalog.resource.v1_0.ProductOptionVal
 ueResource";uses:="com.liferay.headless.commerce.admin.catalog.resour
 ce.v1_0",osgi.service;objectClass:List<String>="com.liferay.headless.
 commerce.admin.catalog.resource.v1_0.ProductOptionValueResource$Facto
 ry";uses:="com.liferay.headless.commerce.admin.catalog.resource.v1_0"
 ,osgi.service;objectClass:List<String>="com.liferay.headless.commerce
 .admin.catalog.resource.v1_0.ProductResource";uses:="com.liferay.head
 less.commerce.admin.catalog.resource.v1_0",osgi.service;objectClass:L
 ist<String>="com.liferay.headless.commerce.admin.catalog.resource.v1_
 0.ProductResource$Factory";uses:="com.liferay.headless.commerce.admin
 .catalog.resource.v1_0",osgi.service;objectClass:List<String>="com.li
 feray.headless.commerce.admin.catalog.resource.v1_0.ProductShippingCo
 nfigurationResource";uses:="com.liferay.headless.commerce.admin.catal
 og.resource.v1_0",osgi.service;objectClass:List<String>="com.liferay.
 headless.commerce.admin.catalog.resource.v1_0.ProductShippingConfigur
 ationResource$Factory";uses:="com.liferay.headless.commerce.admin.cat
 alog.resource.v1_0",osgi.service;objectClass:List<String>="com.lifera
 y.headless.commerce.admin.catalog.resource.v1_0.ProductSpecificationR
 esource";uses:="com.liferay.headless.commerce.admin.catalog.resource.
 v1_0",osgi.service;objectClass:List<String>="com.liferay.headless.com
 merce.admin.catalog.resource.v1_0.ProductSpecificationResource$Factor
 y";uses:="com.liferay.headless.commerce.admin.catalog.resource.v1_0",
 osgi.service;objectClass:List<String>="com.liferay.headless.commerce.
 admin.catalog.resource.v1_0.ProductSubscriptionConfigurationResource"
 ;uses:="com.liferay.headless.commerce.admin.catalog.resource.v1_0",os
 gi.service;objectClass:List<String>="com.liferay.headless.commerce.ad
 min.catalog.resource.v1_0.ProductSubscriptionConfigurationResource$Fa
 ctory";uses:="com.liferay.headless.commerce.admin.catalog.resource.v1
 _0",osgi.service;objectClass:List<String>="com.liferay.headless.comme
 rce.admin.catalog.resource.v1_0.ProductTaxConfigurationResource";uses
 :="com.liferay.headless.commerce.admin.catalog.resource.v1_0",osgi.se
 rvice;objectClass:List<String>="com.liferay.headless.commerce.admin.c
 atalog.resource.v1_0.ProductTaxConfigurationResource$Factory";uses:="
 com.liferay.headless.commerce.admin.catalog.resource.v1_0",osgi.servi
 ce;objectClass:List<String>="com.liferay.headless.commerce.admin.cata
 log.resource.v1_0.ProductVirtualSettingsResource";uses:="com.liferay.
 headless.commerce.admin.catalog.resource.v1_0",osgi.service;objectCla
 ss:List<String>="com.liferay.headless.commerce.admin.catalog.resource
 .v1_0.ProductVirtualSettingsResource$Factory";uses:="com.liferay.head
 less.commerce.admin.catalog.resource.v1_0",osgi.service;objectClass:L
 ist<String>="com.liferay.headless.commerce.admin.catalog.resource.v1_
 0.RelatedProductResource";uses:="com.liferay.headless.commerce.admin.
 catalog.resource.v1_0",osgi.service;objectClass:List<String>="com.lif
 eray.headless.commerce.admin.catalog.resource.v1_0.RelatedProductReso
 urce$Factory";uses:="com.liferay.headless.commerce.admin.catalog.reso
 urce.v1_0",osgi.service;objectClass:List<String>="com.liferay.headles
 s.commerce.admin.catalog.resource.v1_0.SkuResource";uses:="com.lifera
 y.headless.commerce.admin.catalog.resource.v1_0",osgi.service;objectC
 lass:List<String>="com.liferay.headless.commerce.admin.catalog.resour
 ce.v1_0.SkuResource$Factory";uses:="com.liferay.headless.commerce.adm
 in.catalog.resource.v1_0",osgi.service;objectClass:List<String>="com.
 liferay.headless.commerce.admin.catalog.resource.v1_0.SkuSubscription
 ConfigurationResource";uses:="com.liferay.headless.commerce.admin.cat
 alog.resource.v1_0",osgi.service;objectClass:List<String>="com.lifera
 y.headless.commerce.admin.catalog.resource.v1_0.SkuSubscriptionConfig
 urationResource$Factory";uses:="com.liferay.headless.commerce.admin.c
 atalog.resource.v1_0",osgi.service;objectClass:List<String>="com.life
 ray.headless.commerce.admin.catalog.resource.v1_0.SkuUnitOfMeasureRes
 ource";uses:="com.liferay.headless.commerce.admin.catalog.resource.v1
 _0",osgi.service;objectClass:List<String>="com.liferay.headless.comme
 rce.admin.catalog.resource.v1_0.SkuUnitOfMeasureResource$Factory";use
 s:="com.liferay.headless.commerce.admin.catalog.resource.v1_0",osgi.s
 ervice;objectClass:List<String>="com.liferay.headless.commerce.admin.
 catalog.resource.v1_0.SkuVirtualSettingsResource";uses:="com.liferay.
 headless.commerce.admin.catalog.resource.v1_0",osgi.service;objectCla
 ss:List<String>="com.liferay.headless.commerce.admin.catalog.resource
 .v1_0.SkuVirtualSettingsResource$Factory";uses:="com.liferay.headless
 .commerce.admin.catalog.resource.v1_0",osgi.service;objectClass:List<
 String>="com.liferay.headless.commerce.admin.catalog.resource.v1_0.Sp
 ecificationResource";uses:="com.liferay.headless.commerce.admin.catal
 og.resource.v1_0",osgi.service;objectClass:List<String>="com.liferay.
 headless.commerce.admin.catalog.resource.v1_0.SpecificationResource$F
 actory";uses:="com.liferay.headless.commerce.admin.catalog.resource.v
 1_0",osgi.service;objectClass:List<String>="com.liferay.portal.vulcan
 .dto.converter.DTOConverter";uses:="com.liferay.portal.vulcan.dto.con
 verter",osgi.service;objectClass:List<String>="com.liferay.portal.vul
 can.graphql.servlet.ServletData";uses:="com.liferay.portal.vulcan.gra
 phql.servlet",osgi.service;objectClass:List<String>="javax.ws.rs.core
 .Application";uses:="javax.ws.rs.core",osgi.service;objectClass:List<
 String>="javax.ws.rs.ext.ExceptionMapper";uses:="javax.ws.rs.ext"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.acc
 ount.service.AccountGroupLocalService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.account.service.AccountGroupRelLo
 calService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.account.service.AccountGroupRelService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.account.service.Account
 GroupService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.asset.kernel.service.AssetCategoryLocalService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.asset.kernel.
 service.AssetCategoryService)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.asset.kernel.service.AssetTagService)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.asset.k
 ernel.service.AssetVocabularyLocalService)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.commerce.media.CommerceMediaR
 esolver)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.commerce.price.list.service.CommercePriceEntryLocalService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.commer
 ce.price.list.service.CommercePriceEntryService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.commerce.price.list.ser
 vice.CommercePriceListLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.commerce.pricing.service.CommercePri
 cingClassCPDefinitionRelService)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.commerce.pricing.service.CommercePricin
 gClassService)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.commerce.product.service.CPAttachmentFileEntryService)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.comme
 rce.product.service.CPDefinitionLinkService)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.commerce.product.service.CP
 DefinitionOptionRelLocalService)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.commerce.product.service.CPDefinitionOp
 tionRelService)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.commerce.product.service.CPDefinitionOptionValueRelLocal
 Service)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.commerce.product.service.CPDefinitionOptionValueRelService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.commer
 ce.product.service.CPDefinitionService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.commerce.product.service.CPDefin
 itionSpecificationOptionValueService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.commerce.product.service.CPInstanc
 eService)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.commerce.product.service.CPInstanceUnitOfMeasureLocalService)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.com
 merce.product.service.CPInstanceUnitOfMeasureService)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.commerce.product.s
 ervice.CPOptionCategoryService)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.commerce.product.service.CPOptionLocalSe
 rvice)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.commerce.product.service.CPOptionService)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.commerce.product.service.C
 POptionValueService)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.commerce.product.service.CPSpecificationOptionServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .commerce.product.service.CProductLocalService)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.commerce.product.service
 .CommerceCatalogLocalService)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.commerce.product.service.CommerceCatalogSe
 rvice)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.commerce.product.service.CommerceChannelRelService)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.commerce.product
 .service.CommerceChannelService)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.commerce.product.type.CPTypeRegistry)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.comm
 erce.product.type.grouped.service.CPDefinitionGroupedEntryService)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.comme
 rce.product.type.virtual.service.CPDefinitionVirtualSettingService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.comm
 erce.product.util.CPInstanceHelper)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.commerce.service.CPDefinitionInvento
 ryService)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.commerce.shop.by.diagram.service.CSDiagramEntryService)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.commerce
 .shop.by.diagram.service.CSDiagramPinService)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.commerce.shop.by.diagram.s
 ervice.CSDiagramSettingService)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.commerce.stock.activity.CommerceLowStock
 ActivityRegistry)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.expando.kernel.service.ExpandoColumnLocalService)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.expando
 .kernel.service.ExpandoTableLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.headless.commerce.admin.catalo
 g.internal.dto.v1_0.converter.ProductVirtualSettingsDTOConverter)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.headle
 ss.commerce.admin.catalog.internal.dto.v1_0.converter.SkuSubscription
 ConfigurationDTOConverter)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.headless.commerce.admin.catalog.internal.help
 er.v1_0.CategoryHelper)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.headless.commerce.admin.catalog.internal.helper.
 v1_0.ProductChannelHelper)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.headless.commerce.admin.catalog.internal.help
 er.v1_0.ProductHelper)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.headless.commerce.admin.catalog.internal.helper.v
 1_0.ProductSpecificationHelper)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.headless.commerce.admin.catalog.internal
 .helper.v1_0.SkuHelper)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.headless.commerce.admin.catalog.resource.v1_0.At
 tachmentResource)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.headless.commerce.admin.catalog.resource.v1_0.CatalogR
 esource)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.headless.commerce.admin.catalog.resource.v1_0.CategoryResource)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.he
 adless.commerce.admin.catalog.resource.v1_0.DiagramResource)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.headless.co
 mmerce.admin.catalog.resource.v1_0.GroupedProductResource)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.headless.comm
 erce.admin.catalog.resource.v1_0.LinkedProductResource)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.headless.commerc
 e.admin.catalog.resource.v1_0.LowStockActionResource)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.headless.commerce.
 admin.catalog.resource.v1_0.MappedProductResource)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.headless.commerce.adm
 in.catalog.resource.v1_0.OptionCategoryResource)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.headless.commerce.admin
 .catalog.resource.v1_0.OptionResource)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.headless.commerce.admin.catalog.r
 esource.v1_0.OptionValueResource)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.headless.commerce.admin.catalog.resour
 ce.v1_0.PinResource)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.headless.commerce.admin.catalog.resource.v1_0.Produ
 ctAccountGroupResource)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.headless.commerce.admin.catalog.resource.v1_0.Pr
 oductChannelResource)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.headless.commerce.admin.catalog.resource.v1_0.Prod
 uctConfigurationResource)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.headless.commerce.admin.catalog.resource.v1_0.
 ProductGroupProductResource)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.headless.commerce.admin.catalog.resource.v1
 _0.ProductGroupResource)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.headless.commerce.admin.catalog.resource.v1_0.P
 roductOptionResource)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.headless.commerce.admin.catalog.resource.v1_0.Prod
 uctOptionValueResource)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.headless.commerce.admin.catalog.resource.v1_0.Pr
 oductResource)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.headless.commerce.admin.catalog.resource.v1_0.ProductShip
 pingConfigurationResource)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.headless.commerce.admin.catalog.resource.v1_0
 .ProductSpecificationResource)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.headless.commerce.admin.catalog.resource.
 v1_0.ProductSubscriptionConfigurationResource)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.headless.commerce.admin.c
 atalog.resource.v1_0.ProductTaxConfigurationResource)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.headless.commerce.
 admin.catalog.resource.v1_0.ProductVirtualSettingsResource)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.headless.com
 merce.admin.catalog.resource.v1_0.RelatedProductResource)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.headless.comme
 rce.admin.catalog.resource.v1_0.SkuResource)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.headless.commerce.admin.cat
 alog.resource.v1_0.SkuSubscriptionConfigurationResource)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.headless.commer
 ce.admin.catalog.resource.v1_0.SkuUnitOfMeasureResource)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.headless.commer
 ce.admin.catalog.resource.v1_0.SkuVirtualSettingsResource)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.headless.comm
 erce.admin.catalog.resource.v1_0.SpecificationResource)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.headless.commerc
 e.core.util.ServiceContextHelper)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.json.JSONFactory)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ke
 rnel.language.Language)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.module.configuration.Configuration
 Provider)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.kernel.security.permission.PermissionCheckerFactory)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.porta
 l.kernel.security.permission.resource.ModelResourcePermission)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ke
 rnel.service.ClassNameLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.portal.kernel.service.CompanyLocalSe
 rvice)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.kernel.service.GroupLocalService)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.kernel.service.Resou
 rceActionLocalService)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.kernel.service.ResourcePermissionLocalServ
 ice)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.kernel.service.RoleLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.portal.kernel.service.UserLoca
 lService)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.kernel.util.Portal)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.odata.filter.ExpressionConvert)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.po
 rtal.odata.filter.FilterParserProvider)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.portal.odata.sort.SortParserProv
 ider)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.search.expando.ExpandoBridgeIndexer)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.portal.vulcan.dto.convert
 er.DTOConverter)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.portal.vulcan.dto.converter.DTOConverterRegistry)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.v
 ulcan.resource.OpenAPIResource)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.upload.UniqueFileNameProvider)";effectiv
 e:=active,osgi.extender;filter:="(&(osgi.extender=osgi.component)(ver
 sion>=1.4.0)(!(version>=2.0.0)))",osgi.contract;osgi.contract=JavaSer
 vlet;filter:="(&(osgi.contract=JavaServlet)(version=3.1.0))",osgi.ee;
 filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.headless.commerce.admin.catalo
 g.internal.dto.v1_0.converter.AttachmentDTOConverter.xml,OSGI-INF/com
 .liferay.headless.commerce.admin.catalog.internal.dto.v1_0.converter.
 CatalogDTOConverter.xml,OSGI-INF/com.liferay.headless.commerce.admin.
 catalog.internal.dto.v1_0.converter.CategoryDTOConverter.xml,OSGI-INF
 /com.liferay.headless.commerce.admin.catalog.internal.dto.v1_0.conver
 ter.DiagramDTOConverter.xml,OSGI-INF/com.liferay.headless.commerce.ad
 min.catalog.internal.dto.v1_0.converter.GroupedProductDTOConverter.xm
 l,OSGI-INF/com.liferay.headless.commerce.admin.catalog.internal.dto.v
 1_0.converter.LinkedProductDTOConverter.xml,OSGI-INF/com.liferay.head
 less.commerce.admin.catalog.internal.dto.v1_0.converter.LowStockActio
 nDTOConverter.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalo
 g.internal.dto.v1_0.converter.MappedProductDTOConverter.xml,OSGI-INF/
 com.liferay.headless.commerce.admin.catalog.internal.dto.v1_0.convert
 er.OptionCategoryDTOConverter.xml,OSGI-INF/com.liferay.headless.comme
 rce.admin.catalog.internal.dto.v1_0.converter.OptionDTOConverter.xml,
 OSGI-INF/com.liferay.headless.commerce.admin.catalog.internal.dto.v1_
 0.converter.OptionValueDTOConverter.xml,OSGI-INF/com.liferay.headless
 .commerce.admin.catalog.internal.dto.v1_0.converter.PinDTOConverter.x
 ml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.internal.dto.
 v1_0.converter.ProductConfigurationDTOConverter.xml,OSGI-INF/com.life
 ray.headless.commerce.admin.catalog.internal.dto.v1_0.converter.Produ
 ctDTOConverter.xml,OSGI-INF/com.liferay.headless.commerce.admin.catal
 og.internal.dto.v1_0.converter.ProductGroupDTOConverter.xml,OSGI-INF/
 com.liferay.headless.commerce.admin.catalog.internal.dto.v1_0.convert
 er.ProductGroupProductDTOConverter.xml,OSGI-INF/com.liferay.headless.
 commerce.admin.catalog.internal.dto.v1_0.converter.ProductOptionDTOCo
 nverter.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.inte
 rnal.dto.v1_0.converter.ProductOptionValueDTOConverter.xml,OSGI-INF/c
 om.liferay.headless.commerce.admin.catalog.internal.dto.v1_0.converte
 r.ProductShippingConfigurationDTOConverter.xml,OSGI-INF/com.liferay.h
 eadless.commerce.admin.catalog.internal.dto.v1_0.converter.ProductSpe
 cificationDTOConverter.xml,OSGI-INF/com.liferay.headless.commerce.adm
 in.catalog.internal.dto.v1_0.converter.ProductSubscriptionConfigurati
 onDTOConverter.xml,OSGI-INF/com.liferay.headless.commerce.admin.catal
 og.internal.dto.v1_0.converter.ProductTaxConfigurationDTOConverter.xm
 l,OSGI-INF/com.liferay.headless.commerce.admin.catalog.internal.dto.v
 1_0.converter.ProductVirtualSettingsDTOConverter.xml,OSGI-INF/com.lif
 eray.headless.commerce.admin.catalog.internal.dto.v1_0.converter.Rela
 tedProductDTOConverter.xml,OSGI-INF/com.liferay.headless.commerce.adm
 in.catalog.internal.dto.v1_0.converter.SkuDTOConverter.xml,OSGI-INF/c
 om.liferay.headless.commerce.admin.catalog.internal.dto.v1_0.converte
 r.SkuSubscriptionConfigurationDTOConverter.xml,OSGI-INF/com.liferay.h
 eadless.commerce.admin.catalog.internal.dto.v1_0.converter.SkuUnitOfM
 easureDTOConverter.xml,OSGI-INF/com.liferay.headless.commerce.admin.c
 atalog.internal.dto.v1_0.converter.SkuVirtualSettingsDTOConverter.xml
 ,OSGI-INF/com.liferay.headless.commerce.admin.catalog.internal.dto.v1
 _0.converter.SpecificationDTOConverter.xml,OSGI-INF/com.liferay.headl
 ess.commerce.admin.catalog.internal.graphql.servlet.v1_0.ServletDataI
 mpl.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.internal
 .helper.v1_0.CategoryHelper.xml,OSGI-INF/com.liferay.headless.commerc
 e.admin.catalog.internal.helper.v1_0.ProductChannelHelper.xml,OSGI-IN
 F/com.liferay.headless.commerce.admin.catalog.internal.helper.v1_0.Pr
 oductHelper.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.
 internal.helper.v1_0.ProductSpecificationHelper.xml,OSGI-INF/com.life
 ray.headless.commerce.admin.catalog.internal.helper.v1_0.SkuHelper.xm
 l,OSGI-INF/com.liferay.headless.commerce.admin.catalog.internal.jaxrs
 .application.HeadlessCommerceAdminCatalogApplication.xml,OSGI-INF/com
 .liferay.headless.commerce.admin.catalog.internal.jaxrs.exception.map
 per.AttachmentDisplayDateExceptionMapper.xml,OSGI-INF/com.liferay.hea
 dless.commerce.admin.catalog.internal.jaxrs.exception.mapper.Attachme
 ntExpirationDateExceptionMapper.xml,OSGI-INF/com.liferay.headless.com
 merce.admin.catalog.internal.jaxrs.exception.mapper.AttachmentNameExc
 eptionMapper.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog
 .internal.jaxrs.exception.mapper.AttachmentSizeExceptionMapper.xml,OS
 GI-INF/com.liferay.headless.commerce.admin.catalog.internal.jaxrs.exc
 eption.mapper.CatalogAccountStatusExceptionMapper.xml,OSGI-INF/com.li
 feray.headless.commerce.admin.catalog.internal.jaxrs.exception.mapper
 .CatalogAccountTypeExceptionMapper.xml,OSGI-INF/com.liferay.headless.
 commerce.admin.catalog.internal.jaxrs.exception.mapper.DefinitionDeli
 veryMaxSubscriptionCyclesExceptionMapper.xml,OSGI-INF/com.liferay.hea
 dless.commerce.admin.catalog.internal.jaxrs.exception.mapper.Definiti
 onMaxSubscriptionCyclesExceptionMapper.xml,OSGI-INF/com.liferay.headl
 ess.commerce.admin.catalog.internal.jaxrs.exception.mapper.DuplicateG
 roupedProductExceptionMapper.xml,OSGI-INF/com.liferay.headless.commer
 ce.admin.catalog.internal.jaxrs.exception.mapper.DuplicateOptionCateg
 oryKeyExceptionMapper.xml,OSGI-INF/com.liferay.headless.commerce.admi
 n.catalog.internal.jaxrs.exception.mapper.DuplicateOptionKeyException
 Mapper.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.inter
 nal.jaxrs.exception.mapper.DuplicateOptionValueKeyExceptionMapper.xml
 ,OSGI-INF/com.liferay.headless.commerce.admin.catalog.internal.jaxrs.
 exception.mapper.DuplicateProductGroupProductExceptionMapper.xml,OSGI
 -INF/com.liferay.headless.commerce.admin.catalog.internal.jaxrs.excep
 tion.mapper.DuplicateProductOptionValueKeyExceptionMapper.xml,OSGI-IN
 F/com.liferay.headless.commerce.admin.catalog.internal.jaxrs.exceptio
 n.mapper.DuplicateProductSpecificationKeyExceptionMapper.xml,OSGI-INF
 /com.liferay.headless.commerce.admin.catalog.internal.jaxrs.exception
 .mapper.DuplicateSkuUnitOfMeasureKeyExceptionMapper.xml,OSGI-INF/com.
 liferay.headless.commerce.admin.catalog.internal.jaxrs.exception.mapp
 er.GroupedProductQuantityExceptionMapper.xml,OSGI-INF/com.liferay.hea
 dless.commerce.admin.catalog.internal.jaxrs.exception.mapper.Malforme
 dURLExceptionMapper.xml,OSGI-INF/com.liferay.headless.commerce.admin.
 catalog.internal.jaxrs.exception.mapper.OptionValueKeyExceptionMapper
 .xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.internal.ja
 xrs.exception.mapper.OptionValueNameExceptionMapper.xml,OSGI-INF/com.
 liferay.headless.commerce.admin.catalog.internal.jaxrs.exception.mapp
 er.ProductDeliverySubscriptionLengthExceptionMapper.xml,OSGI-INF/com.
 liferay.headless.commerce.admin.catalog.internal.jaxrs.exception.mapp
 er.ProductDisplayDateExceptionMapper.xml,OSGI-INF/com.liferay.headles
 s.commerce.admin.catalog.internal.jaxrs.exception.mapper.ProductExpir
 ationDateExceptionMapper.xml,OSGI-INF/com.liferay.headless.commerce.a
 dmin.catalog.internal.jaxrs.exception.mapper.ProductIgnoreSKUCombinat
 ionsExceptionMapper.xml,OSGI-INF/com.liferay.headless.commerce.admin.
 catalog.internal.jaxrs.exception.mapper.ProductMetaDescriptionExcepti
 onMapper.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.int
 ernal.jaxrs.exception.mapper.ProductMetaKeywordsExceptionMapper.xml,O
 SGI-INF/com.liferay.headless.commerce.admin.catalog.internal.jaxrs.ex
 ception.mapper.ProductMetaTitleExceptionMapper.xml,OSGI-INF/com.lifer
 ay.headless.commerce.admin.catalog.internal.jaxrs.exception.mapper.Pr
 oductProductTypeExceptionMapper.xml,OSGI-INF/com.liferay.headless.com
 merce.admin.catalog.internal.jaxrs.exception.mapper.ProductSpecificat
 ionKeyExceptionMapper.xml,OSGI-INF/com.liferay.headless.commerce.admi
 n.catalog.internal.jaxrs.exception.mapper.ProductSpecificationTitleEx
 ceptionMapper.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalo
 g.internal.jaxrs.exception.mapper.ProductSubscriptionLengthExceptionM
 apper.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.intern
 al.jaxrs.exception.mapper.ProductSubscriptionTypeSettingsExceptionMap
 per.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.internal
 .jaxrs.exception.mapper.ProductVirtualSettingExceptionMapper.xml,OSGI
 -INF/com.liferay.headless.commerce.admin.catalog.internal.jaxrs.excep
 tion.mapper.ProductVirtualSettingSampleExceptionMapper.xml,OSGI-INF/c
 om.liferay.headless.commerce.admin.catalog.internal.jaxrs.exception.m
 apper.ProductVirtualSettingTermsOfUseArticleIdExceptionMapper.xml,OSG
 I-INF/com.liferay.headless.commerce.admin.catalog.internal.jaxrs.exce
 ption.mapper.ProductVirtualSettingTermsOfUseExceptionMapper.xml,OSGI-
 INF/com.liferay.headless.commerce.admin.catalog.internal.jaxrs.except
 ion.mapper.SkuDeliverySubscriptionLengthExceptionMapper.xml,OSGI-INF/
 com.liferay.headless.commerce.admin.catalog.internal.jaxrs.exception.
 mapper.SkuDisplayDateExceptionMapper.xml,OSGI-INF/com.liferay.headles
 s.commerce.admin.catalog.internal.jaxrs.exception.mapper.SkuExpiratio
 nDateExceptionMapper.xml,OSGI-INF/com.liferay.headless.commerce.admin
 .catalog.internal.jaxrs.exception.mapper.SkuSkuExceptionMapper.xml,OS
 GI-INF/com.liferay.headless.commerce.admin.catalog.internal.jaxrs.exc
 eption.mapper.SkuSkuOptionsExceptionMapper.xml,OSGI-INF/com.liferay.h
 eadless.commerce.admin.catalog.internal.jaxrs.exception.mapper.SkuSub
 scriptionLengthExceptionMapper.xml,OSGI-INF/com.liferay.headless.comm
 erce.admin.catalog.internal.jaxrs.exception.mapper.SkuUnitOfMeasureBa
 sePriceExceptionMapper.xml,OSGI-INF/com.liferay.headless.commerce.adm
 in.catalog.internal.jaxrs.exception.mapper.SkuUnitOfMeasureIncrementa
 lOrderQuantityExceptionMapper.xml,OSGI-INF/com.liferay.headless.comme
 rce.admin.catalog.internal.jaxrs.exception.mapper.SkuUnitOfMeasureKey
 ExceptionMapper.xml,OSGI-INF/com.liferay.headless.commerce.admin.cata
 log.internal.jaxrs.exception.mapper.SkuUnitOfMeasureNameExceptionMapp
 er.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.internal.
 jaxrs.exception.mapper.SkuUnitOfMeasureRateExceptionMapper.xml,OSGI-I
 NF/com.liferay.headless.commerce.admin.catalog.internal.jaxrs.excepti
 on.mapper.UnsupportedOperationExceptionMapper.xml,OSGI-INF/com.lifera
 y.headless.commerce.admin.catalog.internal.resource.v1_0.AttachmentRe
 sourceImpl.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.i
 nternal.resource.v1_0.CatalogResourceImpl.xml,OSGI-INF/com.liferay.he
 adless.commerce.admin.catalog.internal.resource.v1_0.CategoryResource
 Impl.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.interna
 l.resource.v1_0.DiagramResourceImpl.xml,OSGI-INF/com.liferay.headless
 .commerce.admin.catalog.internal.resource.v1_0.GroupedProductResource
 Impl.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.interna
 l.resource.v1_0.LinkedProductResourceImpl.xml,OSGI-INF/com.liferay.he
 adless.commerce.admin.catalog.internal.resource.v1_0.LowStockActionRe
 sourceImpl.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.i
 nternal.resource.v1_0.MappedProductResourceImpl.xml,OSGI-INF/com.life
 ray.headless.commerce.admin.catalog.internal.resource.v1_0.OpenAPIRes
 ourceImpl.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.in
 ternal.resource.v1_0.OptionCategoryResourceImpl.xml,OSGI-INF/com.life
 ray.headless.commerce.admin.catalog.internal.resource.v1_0.OptionReso
 urceImpl.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.int
 ernal.resource.v1_0.OptionValueResourceImpl.xml,OSGI-INF/com.liferay.
 headless.commerce.admin.catalog.internal.resource.v1_0.PinResourceImp
 l.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.internal.r
 esource.v1_0.ProductAccountGroupResourceImpl.xml,OSGI-INF/com.liferay
 .headless.commerce.admin.catalog.internal.resource.v1_0.ProductChanne
 lResourceImpl.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalo
 g.internal.resource.v1_0.ProductConfigurationResourceImpl.xml,OSGI-IN
 F/com.liferay.headless.commerce.admin.catalog.internal.resource.v1_0.
 ProductGroupProductResourceImpl.xml,OSGI-INF/com.liferay.headless.com
 merce.admin.catalog.internal.resource.v1_0.ProductGroupResourceImpl.x
 ml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.internal.reso
 urce.v1_0.ProductOptionResourceImpl.xml,OSGI-INF/com.liferay.headless
 .commerce.admin.catalog.internal.resource.v1_0.ProductOptionValueReso
 urceImpl.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.int
 ernal.resource.v1_0.ProductResourceImpl.xml,OSGI-INF/com.liferay.head
 less.commerce.admin.catalog.internal.resource.v1_0.ProductShippingCon
 figurationResourceImpl.xml,OSGI-INF/com.liferay.headless.commerce.adm
 in.catalog.internal.resource.v1_0.ProductSpecificationResourceImpl.xm
 l,OSGI-INF/com.liferay.headless.commerce.admin.catalog.internal.resou
 rce.v1_0.ProductSubscriptionConfigurationResourceImpl.xml,OSGI-INF/co
 m.liferay.headless.commerce.admin.catalog.internal.resource.v1_0.Prod
 uctTaxConfigurationResourceImpl.xml,OSGI-INF/com.liferay.headless.com
 merce.admin.catalog.internal.resource.v1_0.ProductVirtualSettingsReso
 urceImpl.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.int
 ernal.resource.v1_0.RelatedProductResourceImpl.xml,OSGI-INF/com.lifer
 ay.headless.commerce.admin.catalog.internal.resource.v1_0.SkuResource
 Impl.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.interna
 l.resource.v1_0.SkuSubscriptionConfigurationResourceImpl.xml,OSGI-INF
 /com.liferay.headless.commerce.admin.catalog.internal.resource.v1_0.S
 kuUnitOfMeasureResourceImpl.xml,OSGI-INF/com.liferay.headless.commerc
 e.admin.catalog.internal.resource.v1_0.SkuVirtualSettingsResourceImpl
 .xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.internal.re
 source.v1_0.SpecificationResourceImpl.xml,OSGI-INF/com.liferay.headle
 ss.commerce.admin.catalog.internal.resource.v1_0.factory.AttachmentRe
 sourceFactoryImpl.xml,OSGI-INF/com.liferay.headless.commerce.admin.ca
 talog.internal.resource.v1_0.factory.CatalogResourceFactoryImpl.xml,O
 SGI-INF/com.liferay.headless.commerce.admin.catalog.internal.resource
 .v1_0.factory.CategoryResourceFactoryImpl.xml,OSGI-INF/com.liferay.he
 adless.commerce.admin.catalog.internal.resource.v1_0.factory.DiagramR
 esourceFactoryImpl.xml,OSGI-INF/com.liferay.headless.commerce.admin.c
 atalog.internal.resource.v1_0.factory.GroupedProductResourceFactoryIm
 pl.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.internal.
 resource.v1_0.factory.LinkedProductResourceFactoryImpl.xml,OSGI-INF/c
 om.liferay.headless.commerce.admin.catalog.internal.resource.v1_0.fac
 tory.LowStockActionResourceFactoryImpl.xml,OSGI-INF/com.liferay.headl
 ess.commerce.admin.catalog.internal.resource.v1_0.factory.MappedProdu
 ctResourceFactoryImpl.xml,OSGI-INF/com.liferay.headless.commerce.admi
 n.catalog.internal.resource.v1_0.factory.OptionCategoryResourceFactor
 yImpl.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.intern
 al.resource.v1_0.factory.OptionResourceFactoryImpl.xml,OSGI-INF/com.l
 iferay.headless.commerce.admin.catalog.internal.resource.v1_0.factory
 .OptionValueResourceFactoryImpl.xml,OSGI-INF/com.liferay.headless.com
 merce.admin.catalog.internal.resource.v1_0.factory.PinResourceFactory
 Impl.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.interna
 l.resource.v1_0.factory.ProductAccountGroupResourceFactoryImpl.xml,OS
 GI-INF/com.liferay.headless.commerce.admin.catalog.internal.resource.
 v1_0.factory.ProductChannelResourceFactoryImpl.xml,OSGI-INF/com.lifer
 ay.headless.commerce.admin.catalog.internal.resource.v1_0.factory.Pro
 ductConfigurationResourceFactoryImpl.xml,OSGI-INF/com.liferay.headles
 s.commerce.admin.catalog.internal.resource.v1_0.factory.ProductGroupP
 roductResourceFactoryImpl.xml,OSGI-INF/com.liferay.headless.commerce.
 admin.catalog.internal.resource.v1_0.factory.ProductGroupResourceFact
 oryImpl.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.inte
 rnal.resource.v1_0.factory.ProductOptionResourceFactoryImpl.xml,OSGI-
 INF/com.liferay.headless.commerce.admin.catalog.internal.resource.v1_
 0.factory.ProductOptionValueResourceFactoryImpl.xml,OSGI-INF/com.life
 ray.headless.commerce.admin.catalog.internal.resource.v1_0.factory.Pr
 oductResourceFactoryImpl.xml,OSGI-INF/com.liferay.headless.commerce.a
 dmin.catalog.internal.resource.v1_0.factory.ProductShippingConfigurat
 ionResourceFactoryImpl.xml,OSGI-INF/com.liferay.headless.commerce.adm
 in.catalog.internal.resource.v1_0.factory.ProductSpecificationResourc
 eFactoryImpl.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog
 .internal.resource.v1_0.factory.ProductSubscriptionConfigurationResou
 rceFactoryImpl.xml,OSGI-INF/com.liferay.headless.commerce.admin.catal
 og.internal.resource.v1_0.factory.ProductTaxConfigurationResourceFact
 oryImpl.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.inte
 rnal.resource.v1_0.factory.ProductVirtualSettingsResourceFactoryImpl.
 xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.internal.res
 ource.v1_0.factory.RelatedProductResourceFactoryImpl.xml,OSGI-INF/com
 .liferay.headless.commerce.admin.catalog.internal.resource.v1_0.facto
 ry.SkuResourceFactoryImpl.xml,OSGI-INF/com.liferay.headless.commerce.
 admin.catalog.internal.resource.v1_0.factory.SkuSubscriptionConfigura
 tionResourceFactoryImpl.xml,OSGI-INF/com.liferay.headless.commerce.ad
 min.catalog.internal.resource.v1_0.factory.SkuUnitOfMeasureResourceFa
 ctoryImpl.xml,OSGI-INF/com.liferay.headless.commerce.admin.catalog.in
 ternal.resource.v1_0.factory.SkuVirtualSettingsResourceFactoryImpl.xm
 l,OSGI-INF/com.liferay.headless.commerce.admin.catalog.internal.resou
 rce.v1_0.factory.SpecificationResourceFactoryImpl.xml
Tool: Bnd-5.3.0.202102221516

